#pragma once

namespace maps {
namespace wiki {
namespace diffalert {

class DiffContext;
struct MessageReporter;

void checkHighFcAccessId(const DiffContext&, MessageReporter&);

void checkRdElAttrs(const DiffContext&, MessageReporter&);

void checkRdElUnderConstructionEditor(const DiffContext&, MessageReporter&);

void checkLoneHighFcRdEl(const DiffContext&, MessageReporter&);

void checkRdElNearBoundJcOrBlockedRd(const DiffContext&, MessageReporter&);

void checkRdElPoorCondition(const DiffContext& diff, MessageReporter& messages);
void checkRdElPoorConditionHighFc(const DiffContext& diff, MessageReporter& messages);

} // namespace diffalert
} // namespace wiki
} // namespace maps
